
class doublestore	{
	double *p;
	int size;
	doublestore(C doublestore&);
	void operator=(C doublestore&);

	public:
	doublestore() : p(0), size(0)	{}
	double *alloc(int n)
		{if(n>size) {delete[] p; p=new double[size=n];} return p;}
	~doublestore()	{delete[] p;}
	double& operator[](int i)	{return p[i];}
	BOOL operator!() C	{return !p;}
	operator double*() {return p;}
	};


